Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-27930

unresolved ICU symbols due to shipping lib ICU without headers.

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P0: Blocker
    • Resolution: Done
    • Affects Version/s: 5.0.0 Beta 2
    • Fix Version/s: 5.0.0 RC 1
    • Component/s: Packaging & Installer
    • Labels:
      None
    • Environment:
      Ubuntu 12.04 amd64, latest installer packages for 5.0 Beta2

      Description

      Trying to build qtwebkit, I get unresolved symbols for u_tolower_48 and other icu related functions, when linking JSC.

      I encountered the issue on Ubuntu 12.04 after installing the current installer package including the sources, and then trying to build qtwebkit by simply using "qmake && make".

      Now after taking a quick look, it seems that my system provides ICU with suffix _48.
      While the ICU version that we ship within Qt is _49.

      Since we do not ship the unicode headers in Qt, any project requiring ICU headers will fall back to using the headers provided by the system. But due to qmake it will link to ICU-version that comes with Qt. I assume that therefore linking would fail for any project that internally uses ICU as well.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              tjenssen Tim Jenssen
              Reporter:
              albisser Zeno Albisser
              Votes:
              0 Vote for this issue
              Watchers:
              8 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes